
Redmine - Defect #4599

PDF Exports with more than 7 columns overflows

2010-01-18 01:50 - Andrew Leaf

Status: Closed Start date: 2010-01-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.0

Description

Environment -

Found in RC1 0.9, Ruby 1.8.6, Rails 2.3.5, Rack 1.0.1, mysql

User language is English.

Summary -

PDF Exports with more than 7 columns (including subject) and a time/date field as the final column, result in am/pm outside the

right-most column.

Steps to reproduce -

1. Install RC 1 of 0.9 from RubyForge

2. Create several issues

3. Create a customized column configuration that includes "Subject", 7 or more other fields with either "Created" or "Updated" as

the last column

4. View the issue list

5. Export the issue list to PDF

6. View the PDF, observe that AM/PM is outside the bounding box of the right-most column

7. Modify the issue list so there are fewer columns, or that Created/Updated are not the last column

8. Export and view the issue list to PDF

9. Observe this problem no longer exists

I have attached PDFs showing the views with different column configurations.

Note: This did not occur in 0.8.3, but the PDF export view was different then, with fixed columns.

History

#1 - 2010-01-18 18:54 - Jean-Philippe Lang

- Subject changed from PDF Exports with more than 7 columns (including subject) and a time/date field as the final column, result in am/pm outside

the right-most column. to PDF Exports with more than 7 columns overflows

- Priority changed from Normal to Low

#2 - 2012-01-13 20:00 - Etienne Massip

- Category changed from Issues to PDF export

#3 - 2013-06-12 21:35 - Filou Centrinov

Candidate to be closed. I can't reproduce this for Redmine 2.3.1. It seems to be fixed, isn't it?

#4 - 2013-06-16 08:04 - Toshi MARUYAMA

- Status changed from New to Closed

PDF exporting was fully rewritten by #61 1.2.0.

Files
